Update a debit memo
Notes:
- This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.
- You can update a debit memo only if you have the user permission. See Billing Roles for more information.
Updates the basic and finance information about a debit memo.
Currently, Zuora supports updating tax-exclusive memo items, but does not support updating tax-inclusive memo items. If the amount of a memo item is updated, the tax will be recalculated in the following conditions:
- The memo is created from a product rate plan charge and you use Avalara to calculate the tax.
- The memo is created from an invoice and you use Avalara or Zuora Tax to calculate the tax.
The Edit credit and debit memos tutorial demonstrates how to use this operation to add and delete memo items.
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Request
The date by which the payment for the debit memo is due, in yyyy-mm-dd format.
ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Status of the debit memo’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Date when the debit memo was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The ID of the bill-to contact associated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the bill-to contact snapshot associated with the debit memo.
The value of this field is null if the bill rule Preserve snapshot of bill-to and sold-to contacts when billing documents are posted is disabled.
The date and time when the debit memo was cancelled, in yyyy-mm-dd hh:mm:ss format.
The currency of the debit memo.
Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency.
The date and time when the debit memo was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10.
The date when the debit memo takes effect, in yyyy-mm-dd format. For example, 2017-05-20.
The date by which the payment for the debit memo is due, in yyyy-mm-dd format.
The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The ID of the e-invoice file generated for the debit memo.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The status of the e-invoice file generation for the debit memo.
-
If e-invoice file generation succeeds, this field is either
GeneratedorSuccess, and both the error code and message are empty, and theeInvoiceFileIdfield stores the ID of the generated e-invoice file. -
If the responses from tax vendors such as Sovos or Avalara are taking too long, this field becomes
RetrieveTimeOut. Once the vendor responds successfully, you can use the ‘Resync E-Invoice Status’ action to update the status automatically. You can view these updates in System Health telemetry. -
If a failure occurs during e-invoice file generation, this field is
Failedand an error code and an error message are returned respectively in theeinvoiceErrorCodeandeinvoiceErrorMessagefields. -
If e-invoice file generation conditionally succeeds, this field is
ConditionalSuccessand an error code and an error message are returned respectively in theeinvoiceErrorCodeandeinvoiceErrorMessagefields. -
If the e-invoice file has been approved by the tax authority, this field is
ApprovedByAuthority. The next status will be eitherSuccessorRejected. -
If the e-invoice file has been rejected by the government, this field is
Rejected. You cannot resend this e-invoice; you must create a new invoice instead.Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
The flag to exclude the debit memo item from revenue accounting.
Note: This field is only available if you have the Billing - Revenue Integration feature enabled.
The number of the invoice group associated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The organization that this object belongs to.
Note: This field is available only when the Multi-Org feature is enabled.
The name of the payment term assoicated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The date and time when the debit memo was posted, in yyyy-mm-dd hh:mm:ss format.
The ID of the sequence set associated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the communication profile associated with the debit memo.
Note: This field is available in the request body only if you have the Flexible Billing Attributes
feature turned on. The value is null in the response body without this feature turned on.
The ID of the sold-to contact associated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
The ID of the sold-to contact snapshot associated with the debit memo.
The value of this field is null if you have the Flexible Billing Attributes feature disabled.
Returns true if the request was processed successfully.
The target date for the debit memo, in yyyy-mm-dd format. For example, 2017-07-20.
The status of tax calculation related to the debit memo.
Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor’s side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor’s side.
The date and time when the debit memo was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10.
ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Status of the debit memo’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Date when the debit memo was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.